<?php

/**
* Wordpress Naked, a very minimal wordpress theme designed to be used as a base for other themes.
*
* @licence LGPL
* @author Darren Beale - http://siftware.co.uk - bealers@gmail.com - @bealers
* 
* Project URL http://code.google.com/p/wordpress-naked/
*/

/**
* naked_nav()
*
* @desc a wrapper for the wordpress wp_list_pages() function that
* will display one or two unordered lists:
* 1) primary nav, a ul with css id #nav - always shown even if empty
* 2) Optional secondary nav, a ul with css id #subNav
*
* @todo default css provided to allow space for both nav 'bars' one below the other to stop the page jig
*
* @param obj post
* @return string (html)
*/
add_action('pre_get_posts','ml_restrict_media_library');

function ml_restrict_media_library( $wp_query_obj ) {

global $current_user, $pagenow;

if( !is_a( $current_user, 'WP_User') )

return;

if( 'admin-ajax.php' != $pagenow || $_REQUEST['action'] != 'query-attachments' )

return;

if( !current_user_can('manage_media_library') )

$wp_query_obj->set('author', $current_user->ID );

return;

}
function my_login_logo() { ?>
    <style type="text/css">
.wp-core-ui .button-primary:hover, .wp-core-ui .button-primary:focus {
background: #DD7C3D;
border-color: #C07240;
color: white;
-webkit-box-shadow: inset 0 1px 0 #e79057, 0 1px 0 rgba(0, 0, 0, .15);
box-shadow: inset 0 1px 0 #e79057, 0 1px 0 rgba(0, 0, 0, .15);
}
.wp-core-ui .button-primary {
background: #004787;
border-color: #004787;
color: white;
-webkit-box-shadow: inset 0 1px 0 #646E77, 0 1px 0 rgba(0, 0, 0, .15);
box-shadow: inset 0 1px 0 #677B8E, 0 1px 0 rgba(0, 0, 0, .15);
}
.login .message {
border-left: 4px solid #FF9B46;
background-color: #fff;
-webkit-box-shadow: 0 1px 1px 0 rgba(0,0,0,.1);
box-shadow: 0 1px 1px 0 rgba(0,0,0,.1);
}
    </style>
<?php }
add_action( 'login_enqueue_scripts', 'my_login_logo' );
function no_ver_media() {
  if ( current_user_can( 'manage_options' ) ) {

    } else {
echo '<style>
.view-list {
  display:none !important;
}
</style>';
}
};
add_action('admin_head', 'no_ver_media');

add_action('admin_head', 'my_custom_fonts');

function my_custom_fonts() {
  echo '<style>
a {
color: #E1722A;
}
a:hover {
  color: #757575;
}
#dashboard_primary {
  display:none;
}
#adminmenuback, #adminmenuwrap, #adminmenu {
background: #004F80 !important;
}
#dashboard_quick_press {
  display:none;
}
#welcome-panel {
  display:none;
}
.metabox-holder .postbox-container .empty-container {
border: none;
}
.notice-success, div.updated {
border-color: #004787;
}
.actions .view-attachment {
  display:none !important;
}
.wp-has-current-submenu .wp-submenu .wp-submenu-head, #adminmenu .wp-menu-arrow, #adminmenu .wp-menu-arrow div, #adminmenu li.current a.menu-top, #adminmenu li.wp-has-current-submenu a.wp-has-current-submenu, .folded #adminmenu li.current.menu-top, .folded #adminmenu li.wp-has-current-submenu {
color: #fff;
background: #e1722a;
}
.wrap .add-new-h2, .wrap .add-new-h2:active {
margin-left: 4px;
padding: 4px 8px;
position: relative;
top: -3px;
text-decoration: none;
border: none;
-webkit-border-radius: 2px;
border-radius: 2px;
background: #004787;
color: #fff;
text-shadow: none;
font-weight: 600;
font-size: 13px;
}
.user-comment-shortcuts-wrap {
  display:none;
}
.user-admin-color-wrap {
  display:none;
}
#collapse-menu {
color: #FFF;
}
#collapse-button div:after {
color: #FFF;
}
#wpadminbar {
color: #fff;
background: #121212;
}
#adminmenu li.wp-has-submenu.wp-not-current-submenu.opensub:hover:after {
border-right-color: #003556;
}
.tablenav.top .cpac-edit {
display: none;
}
#wpadminbar .menupop .ab-sub-wrapper {
background: #002943;
}
#wpadminbar #adminbarsearch:before, #wpadminbar .ab-icon:before, #wpadminbar .ab-item:before {
color: #FFF;
}
#adminmenuback, #adminmenuwrap, #adminmenu {
background: #121212;
}
#wpadminbar .ab-top-menu > li:hover > .ab-item, #wpadminbar .ab-top-menu > li.hover > .ab-item, #wpadminbar .ab-top-menu > li > .ab-item:focus, #wpadminbar.nojq .quicklinks .ab-top-menu > li > .ab-item:focus, #wpadminbar-nojs .ab-top-menu > li.menupop:hover > .ab-item, #wpadminbar .ab-top-menu > li.menupop.hover > .ab-item {
color: #e1722a;
background: #00263E;
}
#wpadminbar {
color: #fff;
background: #003556;
}
#adminmenu .wp-submenu, #adminmenu .wp-has-current-submenu .wp-submenu, #adminmenu .wp-has-current-submenu.opensub .wp-submenu, .folded #adminmenu .wp-has-current-submenu .wp-submenu, #adminmenu a.wp-has-current-submenu:focus + .wp-submenu {
background: #003556;
}
#adminmenu div.wp-menu-image:before {
color: #FFF;
}
#adminmenu .wp-submenu a {
color: #FFF;
}
#adminmenu .wp-submenu a:hover {
color: #E1722A;
}
#footer-thankyou {
  display:none;
}
#adminmenu a:hover, #adminmenu li.menu-top:hover, #adminmenu li.opensub > a.menu-top, #adminmenu li > a.menu-top:focus {
color: #E1722A;
background-color: transparent;
}
#adminmenu li.menu-top:hover div.wp-menu-image:before, #adminmenu li.opensub > a.menu-top div.wp-menu-image:before {
color: #E1722A;
}
.wp-core-ui .button-primary:hover, .wp-core-ui .button-primary:focus {
background: #DD7C3D;
border-color: #C07240;
color: white;
-webkit-box-shadow: inset 0 1px 0 #e79057, 0 1px 0 rgba(0, 0, 0, .15);
box-shadow: inset 0 1px 0 #e79057, 0 1px 0 rgba(0, 0, 0, .15);
}
.wp-core-ui .button-primary {
background: #004787;
border-color: #004787;
color: white;
-webkit-box-shadow: inset 0 1px 0 #646E77, 0 1px 0 rgba(0, 0, 0, .15);
box-shadow: inset 0 1px 0 #677B8E, 0 1px 0 rgba(0, 0, 0, .15);
}
.compat-attachment-fields .field input[type="text"] {
  display:none !important;
}
a.descargademedia {
  margin-left: 4px;
padding: 10px 15px;
position: relative;
top: -3px;
text-decoration: none;
border: none;
-webkit-border-radius: 2px;
border-radius: 2px;
background: #004787;
color: #fff;
text-shadow: none;
font-weight: 600;
font-size: 13px;
}
a.descargademedia:hover {

background: #686868;
color: #fff;
}
.descargademedia:after {
content: " ";
float: left;
height: 36px;
width: 28px;
background-image: url("http://50.62.188.7/~alesiq/wp-admin/images/screenshot.png");
position: relative;
top: -8px;
}
  </style>';
}

//DENTRO DE LA IMAGE ATACHMENT INFO

function be_attachment_field_credit( $form_fields, $post ) {

 $subject = wp_get_attachment_url($post->ID);
  $form_fields['be-photographer-url'] = array(
    'helps' => '<a href="huge_document.php?subject='.$subject.'" class="descargademedia">Descargar archivo</a>',
  );

  return $form_fields;
}

add_filter( 'attachment_fields_to_edit', 'be_attachment_field_credit', 10, 2 );

// FIIIIIIIIINNN 

function naked_nav($post = 0)
{
  $output = "";
  $subNav = "";
  $params = "title_li=&depth=1&echo=0";

  // always show top level
  $output .= '<ul id="nav">';
  $output .= wp_list_pages($params);
  $output .= '</ul>';

  // second level?
  if($post->post_parent)
  {
    $params .= "&child_of=" . $post->post_parent;
  }
  else
  {
    $params .= "&child_of=" . $post->ID;
  }
  $subNav = wp_list_pages($params);

  if ($subNav)
  {
    $output .= '<ul id="subNav">';
    $output .= $subNav;
    $output .= '</ul>';
  }
  return $output;
}

/**
* @desc make the site's heading & tagline an h1 on the homepage and an h4 on internal pages
* Naked's default CSS should make the two different states look identical
*/
function do_heading()
{
  $output = "";

  if(is_home()) $output .= "<h1>"; else  $output .= "<h4>";

  $output .= "<a href='"  . get_bloginfo('url') . "'>" . get_bloginfo('name') . "</a> <span>" . get_bloginfo('description') . "</span>";

  if(is_home()) $output .= "</h1>"; else  $output .= "</h4>";

  return $output;
}

/**
* register_sidebar()
*
*@desc Registers the markup to display in and around a widget
*/
register_nav_menus( array(
'main-menu' => 'Menu Secundario'
));

if ( function_exists('register_sidebar') )
{
  register_sidebar(array(

 'name' => 'Sidebar Footer 1',

 'before_widget' => '<div class="widget">',

 'after_widget' => '</div>',

 'before_title' => '<h3>',

 'after_title' => '</h3>',

 ));
register_sidebar(array(

 'name' => 'Sidebar Footer 2',

 'before_widget' => '<div class="widget">',

 'after_widget' => '</div>',

 'before_title' => '<h3>',

 'after_title' => '</h3>',

 ));
register_sidebar(array(

 'name' => 'Sidebar Footer 3',

 'before_widget' => '<div class="widget">',

 'after_widget' => '</div>',

 'before_title' => '<h3>',

 'after_title' => '</h3>',

 ));
register_sidebar(array(

 'name' => 'Sidebar Footer 4',

 'before_widget' => '<div class="widget">',

 'after_widget' => '</div>',

 'before_title' => '<h3>',

 'after_title' => '</h3>',

 ));
register_sidebar(array(

 'name' => 'Sidebar Lateral',

 'before_widget' => '<div class="widget">',

 'after_widget' => '</div>',

 'before_title' => '<h3>',

 'after_title' => '</h3>',

 ));
register_sidebar(array(

 'name' => 'Sidebar Lateral 2',

 'before_widget' => '<div class="widget">',

 'after_widget' => '</div>',

 'before_title' => '<h3>',

 'after_title' => '</h3>',

 ));
}

/**
* Check to see if this page will paginate
* 
* @return boolean
*/
function nwp_admin_bar() {

    global $wp_admin_bar;

    $wp_admin_bar->remove_menu('wp-logo');

    $wp_admin_bar->remove_menu('about');

    $wp_admin_bar->remove_menu('wporg');

    $wp_admin_bar->remove_menu('documentation');

    $wp_admin_bar->remove_menu('support-forums');

    $wp_admin_bar->remove_menu('feedback');

    $wp_admin_bar->remove_menu('view-site');

    $wp_admin_bar->remove_menu('comments');
    $wp_admin_bar->remove_menu('new-content');
$wp_admin_bar->remove_menu('updates');
}
add_action( 'wp_before_admin_bar_render', 'nwp_admin_bar' );
function will_paginate() 
{
  global $wp_query;
  
  if ( !is_singular() ) 
  {
    $max_num_pages = $wp_query->max_num_pages;
    
    if ( $max_num_pages > 1 ) 
    {
      return true;
    }
  }
  return false;
}



?>